package com.keyborad.theme.trendyborad.bean;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity
public class BeanDetails implements Serializable {

    @PrimaryKey(autoGenerate = true)
    private long id;
    private String titleName;

    private String thumbUrl;

    private String thumbGif;

    private String zipPath;

    private String imgPath;
    private String imgGif;



    public void setImgGif(String imgGif) {
        this.imgGif = imgGif;
    }

    public String getTitleName() {

        return titleName;
    }

    public String getThumbUrl() {

        return thumbUrl;
    }

    public String getThumbGif() {

        return thumbGif;
    }

    public String getZipPath() {

        return zipPath;
    }

    public String getImgPath() {

        return imgPath;
    }

    public void setTitleName(String name) {
        this.titleName = name;
    }

    public void setThumbUrl(String thumbUrl) {
        this.thumbUrl = thumbUrl;
    }

    public void setThumbGif(String thumbGif) {
        this.thumbGif = thumbGif;
    }

    public void setZipPath(String path) {
        this.zipPath = path;
    }

    public void setImgPath(String imgPath) {
        this.imgPath = imgPath;
    }

    public String getImgGif() {
        return imgGif;
    }


    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }
}
